Package org.apache.tapestry5.javadoc

## Class ClassDescription

- java.lang.Object
- - org.apache.tapestry5.javadoc.ClassDescription

-     public class ClassDescription
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `javax.lang.model.element.TypeElement` | `classDoc` |
    `jdk.javadoc.doclet.DocletEnvironment` | `env` |
    `java.util.Map<java.lang.String,​java.lang.String>` | `events` | Case insensitive map, keyed on event name, value is optional description (often blank).
    `java.util.Map<java.lang.String,​ParameterDescription>` | `parameters` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClassDescription​(javax.lang.model.element.TypeElement classDoc, ClassDescriptionSource source, jdk.javadoc.doclet.DocletEnvironment env)` |
    `ClassDescription​(jdk.javadoc.doclet.DocletEnvironment env)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### env

          public final jdk.javadoc.doclet.DocletEnvironment env

    - #### classDoc

          public final javax.lang.model.element.TypeElement classDoc

    - #### parameters

          public final java.util.Map<java.lang.String,​ParameterDescription> parameters

    - #### events

          public final java.util.Map<java.lang.String,​java.lang.String> events

      Case insensitive map, keyed on event name, value is optional description (often blank).

  - ### Constructor Detail

    - #### ClassDescription

          public ClassDescription​(jdk.javadoc.doclet.DocletEnvironment env)

    - #### ClassDescription

          public ClassDescription​(javax.lang.model.element.TypeElement classDoc,
                                  ClassDescriptionSource source,
                                  jdk.javadoc.doclet.DocletEnvironment env)